routes/web.php
<?php

/*
  |--------------------------------------------------------------------------
  | Web Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register web routes for your application. These
  | routes are loaded by the RouteServiceProvider within a group which
  | contains the "web" middleware group. Now create something great!
  |
 */
Route::prefix('admin')->namespace('Admin')->group(function () {

    Route::get('/', 'LoginController@index');
    Route::get('login', 'LoginController@index');
    Route::get('login/check', 'LoginController@check');
    Route::post('login/check', 'LoginController@check');
    Route::get('logout', 'LoginController@logout');



    Route::middleware(['AdminAuth'])->group(function () {

        /* Route::resource('dashboard', 'DashboardController@index'); */

        Route::get('dashboard', 'DashboardController@index')->name('dashboard');
        
        Route::any('territorystore', 'DashboardController@territorySession')->name('territorystore');
        //for jobopenings
        Route::resource('jobs', 'JobOpeningController');
        Route::get('jobs/{id}/create', 'JobOpeningController@create')->name('job_create');
        Route::post('jobs/destroy', 'JobOpeningController@destroy')->name('job_destroy');
        Route::post('jobs/change_status', 'JobOpeningController@status')->name('job_status');
        // City List
        Route::post('jobs/city-list', 'JobOpeningController@getCityList')->name('job-city-list');
        // Approve Job
        Route::get('jobs/approve/{id}', 'JobOpeningController@approveJob')->name('approve-job');
        //Job requested
        Route::get('jobsrequested', 'JobOpeningController@jobRequestedProfile')->name('jobRequestedProfile');

        //clients
        Route::resource('clients', 'ClientsController');
        Route::post('clients/change_status', 'ClientsController@status')->name('client_status');
        Route::get('clients/requestedprofile/{id}', 'ClientsController@viewRequestProfile')->name('viewRequestProfile');
        Route::get('clients/approverequestedprofile/{id}', 'ClientsController@approveRequestProfile')->name('approvprofileadmin');
        Route::get('clients/cancelrequestedprofile/{id}', 'ClientsController@cancelRequestProfile')->name('cancelprofileadmin');
        Route::get('clients/delete/{id}', 'ClientsController@deleteClient')->name('deleteclient');
        // Restore Client Contact Account
        Route::get('restoreaccount/{id}', 'ClientsController@restoreClientContactAccount')->name('restore-clientcontact-account');
        
        //Requsted profile view
        Route::get('/requestprofilelist', 'ClientsController@indexRequestProfile')->name('indexRequestProfile');
        Route::get('requestprofilelist/downloadcv/{id}', 'ClientsController@formattedResumeDownload')->name('formattedResumeDownload');

        Route::post('requestprofilelist/delete', 'ClientsController@multipleDeleteRequest')->name('multipledeleteRequestedprofile');
        Route::post('requestprofilelist/downloadcv', 'ClientsController@multipleFormattedResumeDownload')->name('multipleFormattedResumeDownload');

        //consultant
        Route::resource('consultant', 'ConsultantController');
        Route::post('consultant/change_status', 'ConsultantController@status')->name('consultant_status');
        Route::get('consultant/edit/{id}', 'ConsultantController@editConsultant')->name('editConsultant');
        Route::post('consultant/edit/summaryapprove/{id}', 'ConsultantController@summaryApprove')->name('consultantsummaryapprove');
        Route::get('consultant/delete/{id}', 'ConsultantController@deleteConsultant')->name('delete-consultant');
        Route::get('consultant/associate-jobopenings/{id}', 'ConsultantController@associateJobOpenings')->name('associate-job-openings');
        Route::post('consultant/change-consultant-status', 'ConsultantController@changeConsultantStatus')->name('change-consultant-status');
        // Upcoming Interviews
        Route::get('upcoming-interviews', 'ConsultantController@upcomingInterviews')->name('upcoming_interviews');
        // Add candidate experience
        Route::any('add/experience/{id}', 'ConsultantController@addExperience')->name('addexperience');
        // Restore Consultant Account
        Route::get('restoreconsultantaccount/{id}', 'ConsultantController@restoreConsultantAccount')->name('restore-consultant-account');
        
        // Edit candidate experience
        Route::any('edit/experience/{id}', 'ConsultantController@updateExperience')->name('updateexperience');
        // Add candidate experience
        Route::any('delete/experience/{id}', 'ConsultantController@deleteExperience')->name('deleteexperience');
        
        // Add candidate education
        Route::any('add/education/{id}', 'ConsultantController@addEducation')->name('addeducation');
        // Edit candidate education
        Route::any('edit/education/{id}', 'ConsultantController@updateEducation')->name('updateeducation');
        // Delete candidate experience
        Route::any('delete/education/{id}', 'ConsultantController@deleteEducation')->name('deleteeducation');
        // Add candidate reference
        Route::any('add/reference/{id}', 'ConsultantController@addReference')->name('addreference');
        // Edit candidate reference
        Route::any('edit/reference/{id}', 'ConsultantController@updateReference')->name('updatereference');
        // Delete candidate reference
        Route::any('delete/reference/{id}', 'ConsultantController@deleteReference')->name('deletereference');
        //systemuser
        Route::resource('systemuser', 'UserController');
        Route::post('systemuser-exists', 'UserController@isUserEmailExists')->name('isUserEmailExists');
        Route::post('systemuser/change_status', 'UserController@status')->name('systemuser_status');

        Route::post('systemuser/delete', 'UserController@delete')->name('systemuser_delete');

        Route::get('systemuser/deleterecord/{id}', 'UserController@deleteSingleRecord')->name('systemuser_delete_record');

        Route::post('systemuser/changepwd', 'UserController@changepwd')->name('changepwd');

        /* Setting Start */
        // Setting email templates
        Route::get('settings/emailtemplate', 'SettingController@emailTemplates')->name('emailtemplate');
        // Edit Email Template
        Route::get('settings/emailtemplate/edit/{id}', 'SettingController@editEmailTemplate')->name('editemailtemplate');
        // Update Email Template Settings
        Route::post('settings/emailtemplate/update', 'SettingController@updateEmailTemplate')->name('updateemailtemplate');
        // Edit Site Settings
        Route::get('settings/site', 'SettingController@site')->name('site');
        // Update Site Settings
        Route::post('settings/updatesite', 'SettingController@updateSiteSettings')->name('updatesite');
        // FAQ List
        Route::get('faq', 'SettingController@faq')->name('faq');
        // Add FAQ
        Route::any('faq/add', 'SettingController@addFAQ')->name('addfaq');
        // Update FAQ
        Route::any('faq/update/{id}', 'SettingController@updateFAQ')->name('updatefaq');
        // Delete FAQ
        Route::get('faq/delete/{id}', 'SettingController@deleteFAQ')->name('deletefaq');
        //Notification
        Route::get('settings/notification', 'SettingController@notification')->name('adminnotification');
        //Sync data from zoho
        Route::any('synczohodata', 'SettingController@syncZohoData')->name('synczohodata');
        // Verifry Admin Password
        Route::post('verifrypassword', 'SettingController@verifyAdminPassword')->name('verify_admin_password');
        // Taglines
        Route::any('taglines', 'SettingController@tagLines')->name('taglines');
        // Add tagline
        Route::any('tagline/add', 'SettingController@addTagline')->name('addtagline');
        // Update tagline
        Route::any('tagline/update/{id}', 'SettingController@updateTagline')->name('updatetagline');
        // Delete tagline
        Route::get('tagline/delete/{id}', 'SettingController@deleteTagline')->name('deletetagline');
        // Read and Remove Notification Counter
        Route::post('/readadminnotification', 'SettingController@readNotification')->name('readadminnotification');
        // Change Contact Password
        Route::get('changecontactpassword/{id}', 'ClientsController@contactChangePassword')->name('changecontactpassword');
        
        
        
    });
});

Route::get('/', 'HomeController@checkCountry')->name('checkcountry');
//Route::get('/', 'HomeController@index')->name('dashboard');

Route::middleware(['DefaultLocale'])->prefix('{locale}')->group(function () {
    Route::get('/', 'HomeController@index')->name('home');
  
    Route::get('/login-successful', 'HomeController@loginRedirect')->name('login-successful');
});

Route::get('/apicalltest', 'ApiController@test');
// Route::get('/', 'ApiController@test');

/* Auth::routes();
  Route::get('/admin', 'Auth\LoginController@login'); */
/* Route::get('admin/dashboard', 'HomeController@dashboard')->name('dashboard'); */

/* Route::middleware(['auth'])->group(function () { */
Route::any('/setterritories', 'HomeController@setTerritories')->name('setterritories');


/*});*/

app/Consultant.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Consultant extends Model {

    protected $table = "candidates";

    public function experience() {
        return $this->hasMany('App\Experience', 'CANDIDATEID', 'CANDIDATEID');
    }
    public function education() {
        return $this->hasMany('App\Education', 'CANDIDATEID', 'CANDIDATEID');
    }
    public function reference() {
        return $this->hasMany('App\Reference', 'CANDIDATEID', 'CANDIDATEID');
    }
    public function associatejobopenings() {
        return $this->hasMany('App\Jobassociatecandidates', 'CANDIDATEID', 'CANDIDATEID');
    }
}

resources/views/backend/consultant/addreference.blade.php
@extends('Layouts.backend.main')
@section('content') @include('Layouts.backend.sidebar')
<div id="page-wrapper" class="gray-bg dashbard-1">
    @include('Layouts.backend.header')
    <div class="row">
        <div class="col-lg-12">
            {{ Form::open(['route' => ['addreference',$id], 'method' => 'POST', 'id'=>'reference-form']) }}
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h5>Add Reference Details</h5>
                </div>
                <div class="ibox-content">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Name: <span class="input-required">*</span></label>
                                    {{Form::text('name','',['class'=>'form-control m-input'])}}
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Position: <span class="input-required">*</span></label>
                                    {{Form::text('position','',['class'=>'form-control m-input'])}}
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Company: <span class="input-required">*</span></label>
                                    {{Form::text('company','',['class'=>'form-control m-input'])}}
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Phone: <span class="input-required">*</span></label>
                                    {{Form::text('phone','',['class'=>'form-control m-input'])}}
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Email: <span class="input-required">*</span></label>
                                    {{Form::email('email','',['class'=>'form-control m-input'])}}
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">                                                          
                            <div class="form-group">
                                <div class="col-sm-4">
                                    <a href="{{route('editConsultant',[$id])}}" class="btn btn-white">Cancel</a>
                                    <button class="btn btn-primary" type="submit">Add</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {{Form::close()}}

        </div>
    </div>
    @include('Layouts.backend.foot')
</div>
@endsection('content')

resources/views/backend/consultant/associate_jobopenings.blade.php
@extends('Layouts.backend.main')
@section('content')
@include('Layouts.backend.sidebar')
<div id="page-wrapper" class="gray-bg dashbard-1">
    @include('Layouts.backend.header')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h5>Job Openings associated to
                        {{($consultant != null) ? $consultant->first_name.' '.$consultant->last_name : "Consultant"}}
                    </h5>
                </div>
                @if(Session::has('success'))
                <div class="alert alert-success alert-dismissable">
                    {{ Session::get('success') }}
                </div>
                @endif

                @if(Session::has('error'))
                <div class="alert alert-danger alert-dismissable">
                    {{ Session::get('error') }}
                </div>
                @endif
                <div class="ibox-content">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <button type="button" id="change-candidate-status" class="btn btn-sm btn-primary">
                                    Change Status</button>
                            </div>
                        </div>
                    </div>
                    <div class="table-responsive1">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th><input type="checkbox" class="i-checks" id="example-select-all"></th>
                                    <th>Job ID </th>
                                    <th>Candidate Status</th>
                                    <th>Posting Title</th>
                                    <th>Job Status</th>
                                    <th>Target Date</th>
                                    <th>Client Name</th>
                                </tr>
                            </thead>
                            <tbody>
                                @if(count($associateJobOpenings))
                                @foreach($associateJobOpenings as $key => $value)
                                <tr>
                                    <td>
                                        <input class="checkall i-checks" type="checkbox" name="check[]" id="sub_chk"
                                            data-consultant-id="{{$value->CANDIDATEID}}"
                                            data-job-id="{{$value->JOBOPENINGID}}">
                                    </td>
                                    <td>{{ isset($value->job) ? $value->job->Job_ID : "-"}}</td>
                                    <td>{{ $value->status }}</td>
                                    <td>
                                        @if(isset($value->job))
                                        <a
                                            href="{{route('jobs.index',['jobid' => $value->job->id])}}">{{$value->job->posting_title}}</a>
                                        @else
                                        {{"-"}}
                                        @endif
                                    </td>
                                    <td>{{ isset($value->job) ? $value->job->job_opening_status : "-"}}</td>
                                    <td>{{ isset($value->job) ? $value->job->target_date : "-"}}</td>
                                    <td>
                                        @if($value->job != null)
                                        @if($value->job->client != null)
                                        <a
                                            href="{{route('clients.index',['clientid' => $value->job->client->CLIENTID])}}">{{$value->job->client->client_name}}</a>
                                        @else
                                        {{"-"}}
                                        @endif
                                        @else
                                        {{"-"}}
                                        @endif
                                    </td>
                                </tr>
                                @endforeach
                                @else
                                <tr>
                                    <td colspan="7">
                                        <h4 class="text-center">No Jobs Found</h4>
                                    </td>
                                </tr>
                                @endif
                            </tbody>
                        </table>
                        @if(isset($associateJobOpenings)){!! $associateJobOpenings->render() !!}@endif

                    </div>

                </div>
            </div>
        </div>

    </div>
    <!--CHANGE STATUS MODAL-->
    <div class="modal inmodal" id="change-candidate-status-modal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content animated fadeIn">
                {!! Form::open(['route'=>'change-consultant-status','id'=>'change-candidate-status-form'])!!}
                <input type="hidden" name="job_ids" value="" id="job_ids" />
                <input type="hidden" name="consultant_id" value="{{$consultant->CANDIDATEID}}" id="consultant_id" />
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span
                            aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                    <h4 class="modal-title">Change Status</h4>
                </div>
                <div class="modal-body">
                    <div class="row form-group">
                        <div class="col-md-4">
                            <label class="control-label">Candidate Status: <span class="input-required">*</span></label>
                        </div>
                        <div class="col-md-8">
                            {{ Form::select('status',[null => 'Select Status'] + $statusList,$consultant->candidate_status,['class' => 'form-control']) }}
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-white" data-dismiss="modal">Cancel</button>
                    <button type="submit" class="btn btn-primary submit-button">Update</button>
                </div>
                {{ Form::close() }}
            </div>
        </div>
    </div>
    <!--End Add-->
    @include('Layouts.backend.foot')
</div>

@endsection('content')

resources/views/backend/consultant/index.blade.php
@extends('Layouts.backend.main')
@section('content')
@include('Layouts.backend.sidebar')
<div id="page-wrapper" class="gray-bg dashbard-1">
    @include('Layouts.backend.header')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <div class="row">
                        <div class="col-md-9">
                            <h5>Consultants </h5>
                        </div>
                        <div class="col-md-3 pull-right">
                            <a href="{{route('consultant.create')}}" type="button" class="btn btn-outline btn-primary pull-right">Create</a>
                        </div>
                    </div>
                </div>
                @if(Session::has('success'))
                <div class="alert alert-success alert-dismissable">
                    {{ Session::get('success') }}
                </div>
                @endif

                @if(Session::has('error'))
                <div class="alert alert-danger alert-dismissable">
                    {{ Session::get('error') }}
                </div>
                @endif
                <div class="ibox-content">
                    <div class="row">
                        {{Form::open(['route'=>['consultant.index'],'method'=>'get'])}}
                        <div class="col-sm-1 m-b-xs">
                        </div>
                        <div class="col-sm-1 m-b-xs">

                        </div>
                        <div class="col-sm-10">


                            <div class="input-group cus-refresh">
                                <a href="{{route('consultant.index')}}"><i class="fa fa-refresh"></i></a>
                            </div>
                            <div class="input-group width25">
                                {{Form::text('s',old('s'),['class'=>'input-sm form-control','placeholder' => 'Search'])}}
                                <span class="input-group-btn">
                                    <button type="submit" class="btn btn-sm btn-primary"> Search</button>
                                </span>
                            </div>
                            <div class="input-group width25">
                                {{Form::select('requested_summary',[null => 'Select Requested Summary',1 => "Yes",0 => "No"],'',['class'=>'form-control m-input'])}}
                            </div>
                            <div class="input-group width25">
                                {{Form::select('account_status',[null => 'Select Account Status',1 => "Active",2 => "Inactive"],'',['class'=>'form-control m-input'])}}
                            </div>
                        </div>
                        {{Form::close()}}
                    </div>
                    <div class="table-responsive1">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th>Candidate ID</th>
                                    <th>Candidate Name </th>
                                    <th>Email</th>
                                    <th>Contact No.</th>
                                    <th>Currency</th>
                                    <th>Zoho Status</th>
                                    <th>Account Status</th>
                                    <th>Requested Summary</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @if(count($consultant))
                                @foreach($consultant as $row)
                                <tr>
                                    <td>
                                        {{ ($row->candidate_id) ? $row->candidate_id : "-"}}
                                    </td>
                                    <td>
                                        {{$row->first_name}} {{ ($row->last_name)}}
                                    </td>
                                    <td>
                                        {{ ($row->email) ? $row->email : "-"}}
                                    </td>
                                    <td>
                                        {{ ($row->mobile_number) ? $row->mobile_number : "-"}}
                                    </td>
                                    <td>
                                        {{ ($row->currency) ? $row->currency : "-"}}
                                    </td>
                                    <td>
                                        <button class="btn btn-xs btn-primary">{{$row->candidate_status}}</button>
                                    </td>
                                    <td>
                                        @if($row->is_delete == 0)
                                        <button class="btn btn-xs btn-primary consultant-active-btn"
                                            data-id="{{$row->CANDIDATEID}}" data-status="inactive">Active</button>
                                        @else
                                        <button class="btn btn-xs btn-danger consultant-active-btn"
                                            data-id="{{$row->CANDIDATEID}}" data-status="active">Inactive</button>
                                        @endif
                                    </td>
                                    <td>
                                        @if($row->is_summary_requested == 1 )
                                        Requested
                                        @else
                                        No
                                        @endif
                                    </td>
                                    <td>
                                        <div class="btn-group table-group-button">
                                            <button data-toggle="dropdown"
                                                class="btn btn-primary btn-sm dropdown-toggle"
                                                aria-expanded="false">Action <span class="caret"></span></button>
                                            <ul class="dropdown-menu dropdown-menu-right">
                                                <li>
                                                    <a href="{{route('jobs.index')}}?consultant_id={{$row->CANDIDATEID}}"
                                                        class="btn btn-xs">View Job</a>
                                                </li>
                                                <li class="divider"></li>
                                                <li>
                                                    <a href="{{route('editConsultant',[$row->CANDIDATEID])}}"
                                                        class="btn btn-xs">Edit</a>
                                                </li>
                                                @if($row->is_delete == 1)
                                                <li class="divider"></li>
                                                <li>
                                                    <a href="{{route('restore-consultant-account',[$row->CANDIDATEID])}}"
                                                        class="btn btn-xs restore-account">Restore Account</a>
                                                </li>
                                                @endif
                                                <li class="divider"></li>
                                                <li>
                                                    <a href="{{route('delete-consultant',[$row->CANDIDATEID])}}"
                                                        class="btn btn-xs delete-account">Delete Account</a>
                                                </li>
                                                <li class="divider"></li>
                                                <li>
                                                    <a href="{{route('associate-job-openings',[$row->CANDIDATEID])}}"
                                                        class="btn btn-xs">Associate Job Openings</a>
                                                </li>
                                            </ul>
                                        </div>
                                    </td>
                                </tr>
                                @endforeach
                                @endif
                                @if(!count($consultant))
                                <tr>
                                    <td colspan="7">
                                        <h4 class="text-center">No Records Found</h4>
                                    </td>
                                </tr>
                                @endif
                            </tbody>
                        </table>
                        @if(isset($consultant)){!! $consultant->render() !!}@endif

                    </div>

                </div>
            </div>
        </div>

    </div>
    <!--CONFIRM PASSWORD MODAL-->
    <div class="modal inmodal" id="verify-password-modal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content animated fadeIn">

                {!! Form::open(['url'=>'admin/verifrypassword','id'=>'verify-password'])!!}
                <input type="hidden" name="type" value="delete-consultant-account" id="action-type" />
                <input type="hidden" name="redirect_url" value="" id="redirect_url" />
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span
                            aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                    <h4 class="modal-title">Verify Your Password</h4>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger alert-dismissable" id="error-message" style="display: none;">
                        <span>You have enter wrong password</span>
                    </div>
                    <div class="row form-group">
                        <div class="col-md-4">
                            <label class="control-label">Enter Password: <span class="input-required">*</span></label>
                        </div>
                        <div class="col-md-8">
                            {{ Form::password('password',['class' => 'form-control','placeholder' => 'Enter password']) }}
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-white" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary submit-button">Verify Now</button>
                </div>
                {{ Form::close() }}
            </div>
        </div>
    </div>
    <!--End Add-->
    @include('Layouts.backend.foot')
</div>

@endsection('content')